# CustomArmorStand
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.armorstands

## Class CustomArmorStand

- java.lang.Object
- - me.legofreak107.vehiclesplus.libraries.armorstands.CustomArmorStand

    public class CustomArmorStand
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CustomArmorStand(org.bukkit.Location center, java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset)`
`CustomArmorStand(org.bukkit.Location center, java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset, java.lang.Integer rotationOffset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CustomArmorStand` `setGravity(java.lang.Boolean gravity)`
`CustomArmorStand` `setHand(org.bukkit.inventory.ItemStack helmet)`
`CustomArmorStand` `setHelmet(org.bukkit.inventory.ItemStack helmet)`
`CustomArmorStand` `setInvulnerable(java.lang.Boolean gravity)`
`CustomArmorStand` `setSmall(java.lang.Boolean small)`
`CustomArmorStand` `setVisible(java.lang.Boolean visible)`
`CustomArmorStand` `withName(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomArmorStand

    public CustomArmorStand(org.bukkit.Location center,
                            java.lang.Double xOffset,
                            java.lang.Double yOffset,
                            java.lang.Double zOffset,
                            java.lang.Integer rotationOffset)

#### CustomArmorStand

    public CustomArmorStand(org.bukkit.Location center,
                            java.lang.Double xOffset,
                            java.lang.Double yOffset,
                            java.lang.Double zOffset)

### Method Detail

#### setSmall

    public CustomArmorStand setSmall(java.lang.Boolean small)

#### setVisible

    public CustomArmorStand setVisible(java.lang.Boolean visible)

#### setHelmet

    public CustomArmorStand setHelmet(org.bukkit.inventory.ItemStack helmet)

#### setHand

    public CustomArmorStand setHand(org.bukkit.inventory.ItemStack helmet)

#### setGravity

    public CustomArmorStand setGravity(java.lang.Boolean gravity)

#### setInvulnerable

    public CustomArmorStand setInvulnerable(java.lang.Boolean gravity)

#### withName

    public CustomArmorStand withName(java.lang.String name)